@echo off
echo Installing The Quest for NECRONOMICON 1.2
echo ÿ
pause
echo  - Making preparations...
@ren dehacked.ini deh.ini
echo ÿ
echo  - Making the sprites and flats
@deusf -add nec_raw.wad nec_spr.wad
echo ÿ
echo  - Inserting new flats
@dmgraph flat5 -s nec_5.gif -f nec_spr.wad
@dmgraph flat5_5 -s nec_5_5.gif -f nec_spr.wad
@dmgraph floor1_1 -s nec_1_1.gif -f nec_spr.wad
echo Completed
echo ÿ
echo  - Making backup patch from doom.exe..
@dehacked -save oldexe.deh
echo  - Loading DeHackEd patch...
@dehacked -load nec_hack.deh
@ren doom.exe doomexe.exe
cls
echo ÿ
echo ÿ
echo Installation is over. Enter DOOM to play The Quest for NECRONOMICON.
echo     WARNING: To play the normal doom you must first uninstall this one.
echo              Do this by writing UNINSTAL at the doom directory.
echo ÿ
echo For more info read NECRONOM.NFO. Enjoy the Middle Age!

